Bug 190062 - "ssh localhost sudo su" will show the password in clear
"ssh localhost sudo su" will show the password in clear
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sudo (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-27 04:38 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-31 17:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-04-27 04:38:20 EDT
openssh-3.9p1-8.RHEL4.12

"ssh localhost sudo su" will show the password in clear
Possible work-arounds are:
- Use "ssh -t" to force the creation of a tty on the ssh client side
- Use the requiretty option in the sudoers file
Comment 1 Karel Zak 2006-05-29 08:52:43 EDT
The "requiretty" option added to the default /etc/sudoers in FC6 (RHEL5).

Closing for RHEL4 as NOTABUG. Thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.